Tugger the SLUGger!SLUG Mailing List Archives

[SLUG] Driver for D-Link NIC


I have a D-Link DFE-530TX NIC, which is supported by the newer versions of
the via-rhine driver.  The driver included with the 2.2.17 kernel does not
recognise the card.  Right now I'm running 2.4.0-pre9, but would prefer 2.2,
at least until 2.4 becomes stable.  Looking at the webpage, I need version
1.07 or later.  The 2.2.17 kernel ships with 1.01.
I've download the newest version (1.08) of via-rhine.c from
www.scyld.com/pub/network/, but the compile fails with the
following message:

peter@littlegeek:~/src$ gcc -DMODULE -Wall -Wstrict-prototypes -O6 -c
via-rhine.c
via-rhine.c:91: linux/modversions.h: No such file or directory
via-rhine.c:112: pci-scan.h: No such file or directory
via-rhine.c:113: kern_compat.h: No such file or directory
via-rhine.c:118: warning: #warning You are using an old kern_compat.h
version.

This is where my meagre knowledge of C dries up.  Am I going to be able to
use this driver with 2.2?

Cheers,
Peter

Attachment: pgpdsGHP0ms3S.pgp
Description: PGP signature